fced53a
diff -up cpqarrayd-2.3/scripts/cpqarrayd.orig cpqarrayd-2.3/scripts/cpqarrayd
fced53a
--- cpqarrayd-2.3/scripts/cpqarrayd.orig	2008-07-09 17:55:59.000000000 +0300
fced53a
+++ cpqarrayd-2.3/scripts/cpqarrayd	2008-07-14 16:43:49.000000000 +0300
fced53a
@@ -2,7 +2,7 @@
fced53a
 #
fced53a
 # cpqarrayd    Start/Stop Compaq Array monitor
fced53a
 #
fced53a
-# chkconfig: 345 15 90
fced53a
+# chkconfig: - 51 90
fced53a
 # description: The cpqarrayd monitors the status of Compaq Raid Arrays, \
fced53a
 #              and reports via syslog or traps
fced53a
 # processname: cpqarrayd
fced53a
@@ -23,8 +23,9 @@ RETVAL=0
fced53a
 case "$1" in
fced53a
   start)
fced53a
         echo -n "Starting cpqarrayd: "
fced53a
-        daemon /usr/sbin/cpqarrayd $CPQ_PARAMS
fced53a
-        RETVAL=$?
fced53a
+#        daemon /usr/sbin/cpqarrayd $CPQ_PARAMS |grep -v ^DEBUG:
fced53a
+        { daemon /usr/sbin/cpqarrayd $CPQ_PARAMS 
fced53a
+        RETVAL=$?; } |grep -v ^DEBUG:
fced53a
         echo
fced53a
         [ $RETVAL -eq 0 ] && touch /var/lock/subsys/cpqarrayd
fced53a
         ;;
fced53a
@@ -39,13 +40,22 @@ case "$1" in
fced53a
         status cpqarrayd
fced53a
         RETVAL=$?
fced53a
         ;;
fced53a
-  restart|reload)
fced53a
+  restart|force-reload)
fced53a
         $0 stop
fced53a
         $0 start
fced53a
         RETVAL=$?
fced53a
         ;;
fced53a
-  *)
fced53a
-        echo "Usage: cpqarrayd {start|stop|status|restart|reload}"
fced53a
+    reload)
fced53a
+	exit 3
fced53a
+	;;
fced53a
+  condrestart|try-restart)
fced53a
+	if status cpqarrayd > /dev/null; then
fced53a
+ 	    $0 stop
fced53a
+ 	    $0 start
fced53a
+	fi
fced53a
+	;;
fced53a
+    *)
fced53a
+        echo "Usage: cpqarrayd {start|stop|status|restart|force-reolad|reload|cond-restart|try-restart}"
fced53a
         exit 1
fced53a
 esac
fced53a